## heat 2013.1.2

=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools (>= 4),
               po-debconf,
               python-all (>= 2.6.6-3~)
Build-Depends-Indep: pep8 (>= 1.3.3),
                     python-argparse,
                     python-babel,
                     python-boto,
                     python-cinderclient,
                     python-coverage,
                     python-crypto,
                     python-eventlet (>= 0.9.16),
                     python-extras,
                     python-glanceclient,
                     python-greenlet (>= 0.3.1),
                     python-httplib2,
                     python-iso8601,
                     python-keystoneclient,
                     python-kombu,
                     python-lxml (>= 2.3),
                     python-memcache,
                     python-migrate,
                     python-mox,
                     python-nose,
                     python-nosexcover,
                     python-novaclient,
                     python-oslo.config,
                     python-paramiko,
                     python-paste,
                     python-pastedeploy,
                     python-pycryptopp,
                     python-qpid,
                     python-quantumclient,
                     python-routes,
                     python-sendfile,
                     python-setuptools,
                     python-sphinx,
                     python-sqlalchemy (>= 0.7.8),
                     python-swiftclient,
                     python-webob,
                     python-yaml
Standards-Version: 3.9.3
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/heat.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/heat.git
Homepage: http://wiki.openstack.org/Heat

Package: python-heat
Section: python
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-argparse,
         python-boto,
         python-cinderclient,
         python-crypto,
         python-eventlet (>= 0.9.16),
         python-extras,
         python-glanceclient,
         python-greenlet (>= 0.3.1),
         python-httplib2,
         python-iso8601,
         python-keystoneclient,
         python-kombu,
         python-lxml (>= 2.3),
         python-memcache,
         python-migrate,
         python-mysqldb,
         python-novaclient,
         python-oslo.config,
         python-paste,
         python-pastedeploy,
         python-pycryptopp,
         python-qpid,
         python-quantumclient,
         python-routes,
         python-sendfile,
         python-setuptools,
         python-sqlalchemy (>= 0.7.8),
         python-swiftclient,
         python-webob,
         python-yaml,
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack orchestration service - Python files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python libraries.

Package: heat-common
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dbconfig-common,
         python-heat (=${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack orchestration service - common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.

Package: heat-engine
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack orchestration service - engine
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: heat-api
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack orchestration service - ReST API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack orchestration service - CFN API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudFormation (CFN) API.

Package: heat-api-cloudwatch
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack orchestration service - CloudWatch API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudWatch API.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@  --with python2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.sh -u
endif


override_dh_clean:
	dh_clean
	rm -rf heat.egg-info
	rm -rf doc/build
	find . -iname '*.pyc' -delete
	rm -f \
		debian/heat-api-cfn.config \
		debian/heat-api-cfn.postinst \
		debian/heat-api-cloudwatch.config \
		debian/heat-api-cloudwatch.postinst \
		debian/heat-api.config \
		debian/heat-api.postinst \
		debian/heat-common.postinst \
		debian/heat-engine.config \
		debian/heat-engine.postinst

override_dh_install:
	dh_install
	sed -i 's/^[ \t]*rpc_backend[ \t]*=[ \t]*heat.openstack.common.rpc.impl_qpid/rpc_backend=heat.openstack.common.rpc.impl_kombu/' $(CURDIR)/debian/heat-engine/usr/share/heat-engine/heat-engine.conf
	sed -i 's/^[ \t]*rpc_backend[ \t]*=[ \t]*heat.openstack.common.rpc.impl_qpid/rpc_backend=heat.openstack.common.rpc.impl_kombu/' $(CURDIR)/debian/heat-api-cloudwatch/etc/heat/heat-api-cloudwatch.conf
	sed -i 's/^[ \t]*rpc_backend[ \t]*=[ \t]*heat.openstack.common.rpc.impl_qpid/rpc_backend=heat.openstack.common.rpc.impl_kombu/' $(CURDIR)/debian/heat-api-cfn/etc/heat/heat-api-cfn.conf
	sed -i 's/^[ \t]*rpc_backend[ \t]*=[ \t]*heat.openstack.common.rpc.impl_qpid/rpc_backend=heat.openstack.common.rpc.impl_kombu/' $(CURDIR)/debian/heat-api/etc/heat/heat-api.conf

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api-cfn.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api-cfn.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api-cloudwatch.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api-cloudwatch.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-engine.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-engine.postinst

override_dh_installman:
	python setup.py build
	make -C doc man
	dh_installman

=== debian/watch ===
version=3
https://github.com/openstack/heat/tags .*/(\d[\d\.]+)\.tar\.gz

## heat 2013.2~b2

=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Loic Dachary (OuoU) <loic@debian.org>,
 Julien Danjou <acid@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Ghe Rivero <ghe.rivero@stackops.com>,
 Mehdi Abaakouk <sileht@sileht.net>
Build-Depends:
 debhelper (>= 9),
 openstack-pkg-tools (>= 4),
 po-debconf,
 python-all (>= 2.6.6-3~)
Build-Depends-Indep:
 pep8 (>= 1.3.3),
 python-pbr,
 python-d2to1,
 python-babel,
 python-boto,
 python-cinderclient,
 python-coverage,
 python-crypto,
 python-eventlet (>= 0.9.16),
 python-extras,
 python-glanceclient,
 python-greenlet (>= 0.3.1),
 python-httplib2,
 python-iso8601,
 python-keystoneclient,
 python-kombu,
 python-lxml (>= 2.3),
 python-memcache,
 python-migrate,
 python-mox,
 python-nose,
 python-nosexcover,
 python-novaclient,
 python-oslo.config,
 python-paramiko,
 python-paste,
 python-pastedeploy,
 python-pycryptopp,
 python-qpid,
 python-quantumclient,
 python-routes,
 python-six,
 python-setuptools,
 python-sphinx,
 python-sqlalchemy (>= 0.7.8),
 python-swiftclient,
 python-webob,
 python-yaml,
 testrepository,
 python-testtools
Standards-Version: 3.9.3
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/heat.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/heat.git
Homepage: http://wiki.openstack.org/Heat
XS-Testsuite: autopkgtest

Package: python-heat
Section: python
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends:
 python-argparse,
 python-boto,
 python-cinderclient,
 python-crypto,
 python-eventlet (>= 0.9.16),
 python-extras,
 python-glanceclient,
 python-greenlet (>= 0.3.1),
 python-httplib2,
 python-iso8601,
 python-keystoneclient,
 python-kombu,
 python-lxml (>= 2.3),
 python-memcache,
 python-migrate,
 python-mysqldb,
 python-novaclient,
 python-oslo.config,
 python-paste,
 python-pastedeploy,
 python-pycryptopp,
 python-qpid,
 python-quantumclient,
 python-routes,
 python-sendfile,
 python-setuptools,
 python-sqlalchemy (>= 0.7.8),
 python-swiftclient,
 python-webob,
 python-yaml,
 ${misc:Depends},
 ${python:Depends}
Description: OpenStack orchestration service - Python files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python libraries.

Package: heat-common
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends:
 adduser,
 dbconfig-common,
 python-heat (=${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python:Depends}
Description: OpenStack orchestration service - common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.

Package: heat-engine
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends:
 adduser,
 heat-common (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends}
Description: OpenStack orchestration service - engine
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: heat-api
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends:
 adduser,
 heat-common (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends}
Description: OpenStack orchestration service - ReST API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends:
 adduser,
 heat-common (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends}
Description: OpenStack orchestration service - CFN API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudFormation (CFN) API.

Package: heat-api-cloudwatch
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends:
 adduser,
 heat-common (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends}
Description: OpenStack orchestration service - CloudWatch API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudWatch API.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	./run_tests.sh -u
+	testr init && testr run || true
 endif

## heat 2013.2~b2.a186.g2b4b248

=== requirements.txt ===
d2to1>=0.2.10,<0.3
pbr>=0.5.10,<0.6
PyCrypto>=2.6
boto>=2.4.0
eventlet>=0.12.0
greenlet>=0.3.2
httplib2
iso8601>=0.1.4
kombu>=1.0.4
argparse
lxml>=2.3
six
sqlalchemy-migrate>=0.7.2
python-novaclient>=2.12.0
PasteDeploy==1.5.0
routes==1.12.3
SQLAlchemy>=0.7.8,<0.7.99
WebOb==1.2.3
python-keystoneclient>=0.2.1
python-swiftclient>=1.2
python-neutronclient>=2.2.3,<3
python-ceilometerclient>=1.0.1
python-cinderclient>=1.0.4
PyYAML>=3.1.0
oslo.config>=1.1.0
paramiko>=1.8.0
Babel>=0.9.6

=== debian/control ===
--- 
+++ 
@@ -11,90 +11,92 @@
  Mehdi Abaakouk <sileht@sileht.net>
 Build-Depends:
  debhelper (>= 9),
- openstack-pkg-tools (>= 4),
- po-debconf,
- python-all (>= 2.6.6-3~)
+ python-all (>= 2.6.6-3~),
+ python-d2to1,
+ python-pbr
 Build-Depends-Indep:
- pep8 (>= 1.3.3),
- python-pbr,
- python-d2to1,
+ python-argparse,
  python-babel,
- python-boto,
+ python-boto (>= 2.4),
+ python-ceilometerclient,
  python-cinderclient,
  python-coverage,
  python-crypto,
- python-eventlet (>= 0.9.16),
+ python-eventlet (>= 0.12.0),
  python-extras,
  python-glanceclient,
- python-greenlet (>= 0.3.1),
+ python-greenlet (>= 0.3.2),
  python-httplib2,
  python-iso8601,
- python-keystoneclient,
+ python-keystoneclient (>= 1:0.2.3),
  python-kombu,
  python-lxml (>= 2.3),
  python-memcache,
  python-migrate,
  python-mox,
+ python-neutronclient (>= 1:2.2.0),
  python-nose,
  python-nosexcover,
  python-novaclient,
  python-oslo.config,
+ python-oslo.sphinx,
  python-paramiko,
  python-paste,
  python-pastedeploy,
  python-pycryptopp,
  python-qpid,
- python-quantumclient,
  python-routes,
+ python-sendfile,
+ python-setuptools,
  python-six,
- python-setuptools,
  python-sphinx,
  python-sqlalchemy (>= 0.7.8),
  python-swiftclient,
- python-webob,
+ python-testrepository (>= 0.0.13),
+ python-testtools (>= 0.9.29),
+ python-webob (>= 1.2.3),
  python-yaml,
- testrepository,
- python-testtools
-Standards-Version: 3.9.3
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/heat.git;a=summary
-Vcs-Git: git://anonscm.debian.org/openstack/heat.git
+ testrepository (>= 0.0.13)
+Standards-Version: 3.9.4
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/heat/havana/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/heat/havana
 Homepage: http://wiki.openstack.org/Heat
 XS-Testsuite: autopkgtest
 
 Package: python-heat
 Section: python
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends:
  python-argparse,
- python-boto,
+ python-boto (>= 2.4),
  python-cinderclient,
  python-crypto,
- python-eventlet (>= 0.9.16),
+ python-eventlet (>= 0.12.0),
  python-extras,
  python-glanceclient,
- python-greenlet (>= 0.3.1),
+ python-greenlet (>= 0.3.2),
  python-httplib2,
  python-iso8601,
- python-keystoneclient,
+ python-keystoneclient (>= 1:0.2.3),
  python-kombu,
  python-lxml (>= 2.3),
  python-memcache,
  python-migrate,
  python-mysqldb,
+ python-neutronclient (>= 1:2.2.0),
  python-novaclient,
  python-oslo.config,
  python-paste,
  python-pastedeploy,
  python-pycryptopp,
  python-qpid,
- python-quantumclient,
  python-routes,
  python-sendfile,
  python-setuptools,
+ python-six,
  python-sqlalchemy (>= 0.7.8),
  python-swiftclient,
- python-webob,
+ python-webob (>= 1.2.3),
  python-yaml,
  ${misc:Depends},
  ${python:Depends}
@@ -107,12 +109,9 @@
 
 Package: heat-common
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends:
  adduser,
- dbconfig-common,
  python-heat (=${binary:Version}),
- sqlite3,
  ${misc:Depends},
  ${python:Depends}
 Description: OpenStack orchestration service - common files
@@ -124,7 +123,6 @@
 
 Package: heat-engine
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends:
  adduser,
  heat-common (=${binary:Version}),
@@ -141,7 +139,6 @@
 
 Package: heat-api
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends:
  adduser,
  heat-common (=${binary:Version}),
@@ -157,7 +154,6 @@
 
 Package: heat-api-cfn
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends:
  adduser,
  heat-common (=${binary:Version}),
@@ -173,7 +169,6 @@
 
 Package: heat-api-cloudwatch
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends:
  adduser,
  heat-common (=${binary:Version}),

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@  --with python2 

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.sh -u
endif

override_dh_clean:
	dh_clean
	rm -rf heat.egg-info
	rm -rf doc/build
	find . -iname '*.pyc' -delete
	rm -f run_tests.err.log

override_dh_installman:
	python setup.py build
	make -C doc man
	dh_installman

## heat 2013.2~b3

=== debian/control ===
--- 
+++ 
@@ -34,6 +34,7 @@
  python-memcache,
  python-migrate,
  python-mox,
+ python-netaddr,
  python-neutronclient (>= 1:2.2.0),
  python-nose,
  python-nosexcover,

## heat 2013.2~rc1

=== requirements.txt ===
pbr>=0.5.21,<1.0
pycrypto>=2.6
eventlet>=0.13.0
greenlet>=0.3.2
httplib2
iso8601>=0.1.4
kombu>=2.4.8
argparse
lxml>=2.3
netaddr
six
sqlalchemy-migrate>=0.7.2
python-novaclient>=2.15.0
PasteDeploy>=1.5.0
Routes>=1.12.3
SQLAlchemy>=0.7.8,<=0.7.99
WebOb>=1.2.3,<1.3
python-keystoneclient>=0.3.2
python-swiftclient>=1.5
python-neutronclient>=2.3.0,<3
python-ceilometerclient>=1.0.5
python-cinderclient>=1.0.5
PyYAML>=3.1.0
paramiko>=1.8.0
Babel>=0.9.6
oslo.config>=1.2.0

## heat 2013.2~rc2

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
 Build-Depends:
  debhelper (>= 9),
  python-all (>= 2.6.6-3~),
- python-d2to1,
  python-pbr
 Build-Depends-Indep:
  python-argparse,

## heat 2013.2.3

=== debian/changelog ===
heat (2013.2.3-0ubuntu1) saucy-proposed; urgency=medium

  * Resynchronize with stable/havana (8bb7830) (LP: #1302575):
    - [527009d] Don't delete trust on backup stack delete
    - [defcf23] Raise the default max header to accommodate large tokens
    - [a440ccb] Fix "members" property check
    - [cfd6b02] Fix incompatibilities in tests with keystoneclient 0.6
    - [8bb7830] Don't raise MySQL 2013 'Lost connection' errors

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 04 Apr 2014 10:49:12 -0400

heat (2013.2.2-0ubuntu1) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (9279833) (LP: #1284643):
    - [2beab02] Server create should never fail, even if resource name exceeds
      63 characters  LP: 1250291
    - [4ca7941] the aws loadbalancer use Fedora 17 and needs to be upgraded to
      f18 or f19 LP: 1234375
    - [e483b38] Fn::Select raises transient errors on mutable structures
      LP: 1243958
    - [6fa3c8f] DependsOn only supports specifying a single value LP: 1235496
    - [ec4ed57] Failure after the update of a suspended stack LP: 1234242
    - [50dc14a] Please use "python -m coverage" instead of /usr/bin/coverage
      LP: 1241330
    - [4d213f8] Stacks can get stuck DELETE_COMPLETE LP: 1247200
    - [ab5d961] Stacks can get stuck DELETE_COMPLETE LP: 1247200
    - [9279833] Stacks can get stuck DELETE_COMPLETE LP: 1247200
  * d/control: Add new BD on python-testscenarios.

 -- James Page <james.page@ubuntu.com>  Wed, 26 Feb 2014 09:02:56 +0000

heat (2013.2.1-0ubuntu1) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (8283db7) (LP: #1262788):
    - [e6979b0] Open stable/havana
    - [f33297d] no autoscaling action occurs for percentage adjustment,
      depending on initial size & adjustment step size LP: 1251007
    - [a8c0b11] potential autoscaling headroom remains unused LP: 1254796
    - [6ccbf6e] On restart of QPID broker, fanout no longer works LP: 1251757
    - [3fc572e] [messaging] QPID broadcast RPC requests to all servers for a
      given topic LP: 1257293
    - [25de97c] Updated from global requirements
    - [0b1458a] [OSSA 2013-034] Heat CFN policy rules not all enforced
      (CVE-2013-6426) LP: 1256049
    - [8283db7] [OSSA 2013-035] Heat ReST API doesn't respect tenant scoping
      (CVE-2013-6428) LP: 1256983
    - [8283db7] [OSSA 2013-035] Heat ReST API doesn't respect tenant scoping
      (CVE-2013-6428) LP: 1256983
  * debian/patches/revert-stable-havana-requirements.patch: Revert
    version bumps to dependencies in stable/havana back to what was
    shipped with Saucy.

 -- Adam Gandelman <adamg@ubuntu.com>  Wed, 18 Dec 2013 10:30:32 -0800

=== debian/control ===
--- 
+++ 
@@ -52,6 +52,7 @@
  python-sphinx,
  python-sqlalchemy (>= 0.7.8),
  python-swiftclient,
+ python-testscenarios,
  python-testrepository (>= 0.0.13),
  python-testtools (>= 0.9.29),
  python-webob (>= 1.2.3),

## heat 2014.1~b1

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,8 @@
 Build-Depends:
  debhelper (>= 9),
  python-all (>= 2.6.6-3~),
- python-pbr
+ python-pbr (>= 0.5.21),
 Build-Depends-Indep:
- python-argparse,
  python-babel,
  python-boto (>= 2.4),
  python-ceilometerclient,
@@ -25,6 +24,7 @@
  python-extras,
  python-glanceclient,
  python-greenlet (>= 0.3.2),
+ python-heatclient,
  python-httplib2,
  python-iso8601,
  python-keystoneclient (>= 1:0.2.3),
@@ -35,16 +35,12 @@
  python-mox,
  python-netaddr,
  python-neutronclient (>= 1:2.2.0),
- python-nose,
- python-nosexcover,
  python-novaclient,
  python-oslo.config,
  python-oslo.sphinx,
  python-paramiko,
  python-paste,
  python-pastedeploy,
- python-pycryptopp,
- python-qpid,
  python-routes,
  python-sendfile,
  python-setuptools,
@@ -52,15 +48,15 @@
  python-sphinx,
  python-sqlalchemy (>= 0.7.8),
  python-swiftclient,
+ python-testrepository (>= 0.0.13),
  python-testscenarios,
- python-testrepository (>= 0.0.13),
  python-testtools (>= 0.9.29),
  python-webob (>= 1.2.3),
  python-yaml,
  testrepository (>= 0.0.13)
 Standards-Version: 3.9.4
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/heat/havana/files
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/heat/havana
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/heat/icehouse/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/heat/icehouse
 Homepage: http://wiki.openstack.org/Heat
 XS-Testsuite: autopkgtest
 
@@ -89,8 +85,6 @@
  python-oslo.config,
  python-paste,
  python-pastedeploy,
- python-pycryptopp,
- python-qpid,
  python-routes,
  python-sendfile,
  python-setuptools,

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	./run_tests.sh -u
+	./run_tests.sh -u --concurrency=1
 endif
 
 override_dh_clean:
@@ -16,6 +16,12 @@
 	rm -rf doc/build
 	find . -iname '*.pyc' -delete
 	rm -f run_tests.err.log
+	rm -rf pbr*.egg
+	rm -f etc/heat/heat.conf
+
+override_dh_install:
+	cp etc/heat/heat.conf.sample etc/heat/heat.conf
+	dh_install
 
 override_dh_installman:
 	python setup.py build

## heat 2014.1

=== requirements.txt ===
pbr>=0.6,<1.0
pycrypto>=2.6
eventlet>=0.13.0
greenlet>=0.3.2
httplib2>=0.7.5
iso8601>=0.1.9
kombu>=2.4.8
argparse
lxml>=2.3
netaddr>=0.7.6
six>=1.5.2
sqlalchemy-migrate>=0.8.2,!=0.8.4
python-novaclient>=2.17.0
PasteDeploy>=1.5.0
requests>=1.1
Routes>=1.12.3
SQLAlchemy>=0.7.8,<=0.9.99
WebOb>=1.2.3
python-heatclient>=0.2.3
python-keystoneclient>=0.7.0
python-swiftclient>=1.6
python-neutronclient>=2.3.4,<3
python-ceilometerclient>=1.0.6
python-cinderclient>=1.0.6
python-troveclient>=1.0.3
PyYAML>=3.1.0
paramiko>=1.9.0
Babel>=1.3
oslo.config>=1.2.0
qpid-python

=== contrib/marconi/requirements.txt ===
python-marconiclient>=0.0.1a1

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,7 @@
  python-iso8601,
  python-keystoneclient (>= 1:0.2.3),
  python-kombu,
+ python-lockfile (>= 0.8),
  python-lxml (>= 2.3),
  python-memcache,
  python-migrate,
@@ -37,12 +38,11 @@
  python-neutronclient (>= 1:2.2.0),
  python-novaclient,
  python-oslo.config,
- python-oslo.sphinx,
+ python-oslosphinx,
  python-paramiko,
  python-paste,
  python-pastedeploy,
  python-routes,
- python-sendfile,
  python-setuptools,
  python-six,
  python-sphinx,
@@ -51,6 +51,7 @@
  python-testrepository (>= 0.0.13),
  python-testscenarios,
  python-testtools (>= 0.9.29),
+ python-troveclient,
  python-webob (>= 1.2.3),
  python-yaml,
  testrepository (>= 0.0.13)
@@ -86,7 +87,6 @@
  python-paste,
  python-pastedeploy,
  python-routes,
- python-sendfile,
  python-setuptools,
  python-six,
  python-sqlalchemy (>= 0.7.8),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 https://launchpad.net/heat/+download https://launchpad.net/heat/.*/.*/.*/heat-(.*)\.tar\.gz

## heat 2014.1.3

=== requirements.txt ===
--- 
+++ 
@@ -8,13 +8,13 @@
 argparse
 lxml>=2.3
 netaddr>=0.7.6
-six>=1.5.2
-sqlalchemy-migrate>=0.8.2,!=0.8.4
+six>=1.6.0
+sqlalchemy-migrate>=0.8.2,!=0.8.4,!=0.9.2
 python-novaclient>=2.17.0
 PasteDeploy>=1.5.0
 requests>=1.1
-Routes>=1.12.3
-SQLAlchemy>=0.7.8,<=0.9.99
+Routes>=1.12.3,!=2.0
+SQLAlchemy>=0.7.8,!=0.9.5,<=0.9.99
 WebOb>=1.2.3
 python-heatclient>=0.2.3
 python-keystoneclient>=0.7.0

=== debian/changelog ===
heat (2014.1.3-7) unstable; urgency=medium

  * Removed the use of PROTOCOL_SSLv3 which is removed form Debian.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Jan 2015 00:30:06 +0100

heat (2014.1.3-6) unstable; urgency=medium

  * Fixed the use of a wrong Debconf template name (Closes: #774952).

 -- Thomas Goirand <zigo@debian.org>  Fri, 09 Jan 2015 22:40:22 +0000

heat (2014.1.3-5) unstable; urgency=medium

  * Sets heat/configure_db to false by default.
  * Only calls pkgos_dbc_postinst and su heat -c "heat-manage db_sync" if
    heat/configure_db is set to true.

 -- Thomas Goirand <zigo@debian.org>  Thu, 08 Jan 2015 16:28:44 +0000

heat (2014.1.3-4) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools (>= 22~): starts daemons on first install.

 -- Thomas Goirand <zigo@debian.org>  Thu, 08 Jan 2015 15:58:40 +0000

heat (2014.1.3-3) unstable; urgency=medium

  * Added Dutch translation of debconf messages thanks to Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #767244).

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Jan 2015 13:58:34 +0000

heat (2014.1.3-2) unstable; urgency=medium

  * Rebuild against openstack-pkg-tools >= 21~ to fix sysv-rc script.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Jan 2015 20:15:49 +0000

heat (2014.1.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild against openstack-pkg-tools >= 20~ to fix generated systemd unit
    files.

 -- Gaudenz Steinlin <gaudenz@debian.org>  Thu, 01 Jan 2015 17:31:17 +0100

heat (2014.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Mangling upstream rc and beta versions in watch file.
  * Using templated init, upstart and systemd scripts from
    openstack-pkg-tools >= 13.
  * Removed all debian/*.logrotate, using only one in the -common package.
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Oct 2014 16:25:11 +0800

heat (2014.1.2-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 Aug 2014 01:14:03 +0800

heat (2014.1.1-3) unstable; urgency=medium

  * Now also packages etc/heat/templates by default.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Jul 2014 22:54:45 +0800

=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               dh-systemd,
               openstack-pkg-tools (>= 22~),
               po-debconf,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.6),
               python-sphinx
Build-Depends-Indep: python-babel (>= 1.3),
                     python-ceilometerclient (>= 1.0.6),
                     python-cinderclient (>= 1:1.0.6),
                     python-coverage (>= 3.6),
                     python-crypto,
                     python-eventlet (>= 0.13.0),
                     python-glanceclient (>= 1:0.9.0),
                     python-greenlet (>= 0.3.2),
                     python-hacking (>= 0.8.0),
                     python-heatclient (>= 0.2.3),
                     python-httplib2 (>= 0.7.5),
                     python-iso8601 (>= 0.1.9),
                     python-keystoneclient (>= 1:0.7.0),
                     python-kombu (>= 2.4.8),
                     python-lockfile,
                     python-lxml (>= 2.3),
                     python-memcache,
                     python-migrate (>= 0.8.2),
                     python-mock (>= 1.0),
                     python-mox,
                     python-netaddr,
                     python-neutronclient (>= 2.3.4),
                     python-nose,
                     python-nosexcover,
                     python-novaclient (>= 2:2.17.0),
                     python-oslo.config (>= 1.2.1),
                     python-oslosphinx,
                     python-paramiko (>= 1.10.1),
                     python-paste,
                     python-pastedeploy,
                     python-pycryptopp,
                     python-qpid,
                     python-requests (>= 1.1),
                     python-routes,
                     python-sendfile,
                     python-setuptools,
                     python-six (>= 1.6.0),
                     python-sqlalchemy (>= 0.7.8),
                     python-subunit,
                     python-swiftclient (>= 1:2.0.2),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 0.9.34),
                     python-troveclient (>= 1.0.3),
                     python-webob (>= 1.2.3),
                     python-yaml,
                     testrepository (>= 0.0.18),
                     subunit (>= 0.0.18)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/heat.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/heat.git
Homepage: http://wiki.openstack.org/Heat

Package: python-heat
Section: python
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-babel (>= 1.3),
         python-ceilometerclient (>= 1.0.6),
         python-cinderclient (>= 1:1.0.6),
         python-crypto,
         python-eventlet (>= 0.13.0),
         python-glanceclient,
         python-greenlet (>= 0.3.2),
         python-heatclient (>= 0.2.3),
         python-httplib2 (>= 0.7.5),
         python-iso8601 (>= 0.1.9),
         python-keystoneclient (>= 1:0.7.0),
         python-kombu (>= 2.4.8),
         python-lxml (>= 2.3),
         python-memcache,
         python-migrate (>= 0.8.2),
         python-mysqldb,
         python-netaddr,
         python-neutronclient (>= 2.3.4),
         python-novaclient (>= 2:2.17.0),
         python-oslo.config (>= 1.2.1),
         python-paramiko (>= 1.10.1),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 0.6),
         python-pycryptopp,
         python-qpid,
         python-requests (>= 1.1),
         python-routes,
         python-sendfile,
         python-setuptools,
         python-six (>= 1.6.0),
         python-sqlalchemy (>= 0.7.8),
         python-swiftclient (>= 1:2.0.2),
         python-troveclient (>= 1.0.3),
         python-webob (>= 1.2.3),
         python-yaml,
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack orchestration service - Python files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python libraries.

Package: heat-common
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dbconfig-common,
         python-heat (=${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack orchestration service - common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.

Package: heat-engine
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack orchestration service - engine
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: heat-api
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack orchestration service - ReST API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack orchestration service - CFN API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudFormation (CFN) API.

Package: heat-api-cloudwatch
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack orchestration service - CloudWatch API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudWatch API.

Package: heat-doc
Architecture: all
Section: doc
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: OpenStack orchestration service - Documentation
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
#PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init
	set -e && set -x && \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) testr run --subunit | tee $$TEMP_REZ | subunit2pyunit || true ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

override_dh_clean:
	dh_clean
	rm -rf heat.egg-info .testrepository
	rm -rf doc/build
	find . -iname '*.pyc' -delete
	rm -f run_tests.err.log
	rm -f \
		debian/heat-common.postinst \
		debian/heat-common.config
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_install:
	dh_install
	install -D -m 0640 etc/heat/heat.conf.sample $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf
	cat $(CURDIR)/debian/keystone_authtoken >>$(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf
	set -e && for pyvers in $(PYTHONS); do \
		mkdir -p $(CURDIR)/debian/python-heat/usr/lib/python$$pyvers/dist-packages/heat/plugins ; \
		cp -rf contrib/heat_keystoneclient_v2/heat_keystoneclient_v2 $(CURDIR)/debian/python-heat/usr/lib/python$$pyvers/dist-packages/heat/plugins ; \
        done

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-common.config

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b man doc/source doc/build/man
	dh_installman
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/heat-doc/usr/share/doc/heat-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## heat 2014.1.5

=== requirements.txt ===
pbr>=0.6,<1.0
pycrypto>=2.6,<=2.6.1
eventlet>=0.13.0,<0.16.0
greenlet>=0.3.2,<=0.4.5
httplib2>=0.7.5,<=0.9
iso8601>=0.1.9,<=0.1.10
kombu>=2.5.0,<=3.0.7
argparse
lxml>=2.3,<=3.4.2
netaddr>=0.7.6,<=0.7.14
six>=1.6.0,<=1.9.0
sqlalchemy-migrate>=0.8.2,!=0.8.4,<=0.9.1
python-novaclient>=2.17.0,<2.21
PasteDeploy>=1.5.0,<=1.5.2
requests>=1.1,<=2.6.0
Routes>=1.12.3,!=2.0
SQLAlchemy>=0.7.8,!=0.9.5,<=0.9.99
WebOb>=1.2.3,<=1.4
python-heatclient>=0.2.3,<=0.2.12
python-keystoneclient>=0.7.0,<0.12.0
python-swiftclient>=1.6,<=2.3.1
python-neutronclient>=2.3.4,<2.3.11
python-ceilometerclient>=1.0.6,<=1.0.12
python-cinderclient>=1.0.6,<=1.1.1
python-troveclient>=1.0.3,<=1.0.8
PyYAML>=3.1.0,<=3.11
paramiko>=1.9.0,<=1.15.2
Babel>=1.3,<=1.3
oslo.config>=1.2.0,<1.5
qpid-python

=== contrib/rackspace/requirements.txt ===
-e git://github.com/rackspace/pyrax.git@4441a5bf900f19fdb2304a0f9ed15b43151541d8#egg=pyrax
paramiko>=1.9.0

=== debian/changelog ===
heat (2014.1.5-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (314437f) (LP: #1467533):
    - [eb22b01] Fix cloud-init Python syntax for Python < 2.6
    - [314437f] Patch 033 migration to work w/ MySQL 5.6
  * d/p/fix-requirements.patch: Rebased

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 22 Jun 2015 10:14:10 -0400

heat (2014.1.4-0ubuntu2) trusty; urgency=medium

  * d/control: Set minimum python-six dependency to 1.5.2 (LP: #1403114).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Mar 2015 09:01:26 -0400

heat (2014.1.4-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (2b4f7be) (LP: #1432608):
    - [678ea13] Use empty list in list_join for validation
    - [0b984b8] Call server volume detach only once
    - [5a34e4f] Use environment file in template-validate
    - [60cbd5b] Catch NotFound error during loadbalancer deleting
    - [006b959] Prevent excessive validation for maxPersonality limit
    - [2b4f7be] Only delete stack user project from correct domain
  * d/p/fix-requirements.patch: Rebased

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 19 Mar 2015 08:57:09 +0000

heat (2014.1.3-0ubuntu1) trusty; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/icehouse (986563e) (LP: #1377136):
    - [3cebf6d] Handle NotFoundException when deleting alarm
    - [c1c48e2] Support multiple heatclient versions for SD
    - [986563e] Set python hash seed to 0 in tox.ini
  * d/p/fix-requirements.patch: Rebased.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Oct 2014 09:55:35 -0400

heat (2014.1.2-0ubuntu1) trusty; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/icehouse (6facf30) (LP: #1354159):
    - [48ed483] Stop periodic watcher tasks before deleting stack
    - [a855f5d] Sync threadgroup module from the oslo stable branch
    - [bd4ed52] Move novaclient exceptions to heat.tests.v1_1.fakes
    - [2db68e5] Pass the parent's registry into child stacks
    - [57f8eaa] Fix String Parameter Receive a unicode
    - [2aee296] Allow metadata updates to provider resources
    - [a39ee7c] Do no re-validate parameters for existing stacks
    - [aa7c030] Do not validate constraints in schema constructor
    - [6facf30] Ensure routing key is specified in the address for a direct producer

  [ James Page ]
  * d/watch: Use tarballs.openstack.org for release artifacts.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Aug 2014 08:12:40 -0400

heat (2014.1.1-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (27557c9) (LP: #1328134):
    - [368b6d3] Avoid redundant polling of DB for metadata
    - [0f92683] Fix failed to delete the NovaFloatingIPAssociation resource
    - [930cb3c] Fix status reason in events for deployment signals
    - [4b9ff4f] Truncate status_reason to column length
    - [3c560c6] Catch NotFound for keystone delete operations
    - [e63baf6] Using correct attribute of exception
    - [08154b0] Allow NotFound to be created without args
    - [857ca78] Updated from global requirements
    - [03dd894] Don't dynamically create provider types in the global env
    - [937ac5a] Ignore nova limits set to '-1'
    - [27557c9] Don't pass enable_snat by default in Router
  * d/p/fix-requirements.patch: Drop minimum version of six to align to Ubuntu
    14.04 version.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 09 Jun 2014 15:09:49 -0400

=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Loic Dachary (OuoU) <loic@debian.org>,
 Julien Danjou <acid@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Ghe Rivero <ghe.rivero@stackops.com>,
 Mehdi Abaakouk <sileht@sileht.net>
Build-Depends:
 debhelper (>= 9),
 python-all (>= 2.6.6-3~),
 python-pbr (>= 0.5.21),
Build-Depends-Indep:
 python-babel,
 python-boto (>= 2.4),
 python-ceilometerclient,
 python-cinderclient,
 python-coverage,
 python-crypto,
 python-eventlet (>= 0.12.0),
 python-extras,
 python-glanceclient,
 python-greenlet (>= 0.3.2),
 python-heatclient,
 python-httplib2,
 python-iso8601,
 python-keystoneclient (>= 1:0.2.3),
 python-kombu,
 python-lockfile (>= 0.8),
 python-lxml (>= 2.3),
 python-memcache,
 python-migrate,
 python-mox,
 python-netaddr,
 python-neutronclient (>= 1:2.2.0),
 python-novaclient,
 python-oslo.config,
 python-oslosphinx,
 python-paramiko,
 python-paste,
 python-pastedeploy,
 python-routes,
 python-setuptools,
 python-six (>= 1.5.2),
 python-sphinx,
 python-sqlalchemy (>= 0.7.8),
 python-swiftclient,
 python-testrepository (>= 0.0.13),
 python-testscenarios,
 python-testtools (>= 0.9.29),
 python-troveclient,
 python-webob (>= 1.2.3),
 python-yaml,
 testrepository (>= 0.0.13)
Standards-Version: 3.9.4
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/heat/icehouse/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/heat/icehouse
Homepage: http://wiki.openstack.org/Heat
XS-Testsuite: autopkgtest

Package: python-heat
Section: python
Architecture: all
Depends:
 python-argparse,
 python-boto (>= 2.4),
 python-cinderclient,
 python-crypto,
 python-eventlet (>= 0.12.0),
 python-extras,
 python-glanceclient,
 python-greenlet (>= 0.3.2),
 python-httplib2,
 python-iso8601,
 python-keystoneclient (>= 1:0.2.3),
 python-kombu,
 python-lxml (>= 2.3),
 python-memcache,
 python-migrate,
 python-mysqldb,
 python-neutronclient (>= 1:2.2.0),
 python-novaclient,
 python-oslo.config,
 python-paste,
 python-pastedeploy,
 python-routes,
 python-setuptools,
 python-six (>= 1.5.2),
 python-sqlalchemy (>= 0.7.8),
 python-swiftclient,
 python-webob (>= 1.2.3),
 python-yaml,
 ${misc:Depends},
 ${python:Depends}
Description: OpenStack orchestration service - Python files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python libraries.

Package: heat-common
Architecture: all
Depends:
 adduser,
 python-heat (=${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: OpenStack orchestration service - common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.

Package: heat-engine
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends}
Description: OpenStack orchestration service - engine
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: heat-api
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends}
Description: OpenStack orchestration service - ReST API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends}
Description: OpenStack orchestration service - CFN API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudFormation (CFN) API.

Package: heat-api-cloudwatch
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends}
Description: OpenStack orchestration service - CloudWatch API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudWatch API.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 http://tarballs.openstack.org/heat heat-(.*)\.tar\.gz
